
<div class="container col-md-12">
  <div>
    <button (click)="addProduct()" class="btn btn-info">Add Product</button>
  </div>
  <h2>All Products</h2>
  <div class="table-responsive table-container">
    <table class="table table-dark table-hover table-striped">
      <thead class="thead-light">
      <tr>
        <th>Nom</th>
        <th>Prix(£)</th>
        <th>Qualité</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let product of products">

        <td>{{product.name}}</td>
        <td>{{product.price}}</td>
        <td>{{product.quality}}</td>

        <td>
          <button (click)="deleteProduct(product)" class="btn btn-info"> Supprimer</button>
          <button (click)="updateProduct(product)" style="margin-left: 20px;" class="btn btn-info"> Editer</button>
        </td>
      </tr>
      </tbody>
    </table>
  </div>

</div>
